# Poco::Net

# class HTTPFixedLengthInputStream

Library: Net
Package: HTTP
Header: Poco/Net/HTTPFixedLengthStream.h

## Description

This class is for internal use by HTTPSession only.

## Inheritance

Direct Base Classes: HTTPFixedLengthIOS, std::istream

All Base Classes: HTTPFixedLengthIOS, std::ios, std::istream

## Member Summary

Member Functions: operator delete, operator new

Inherited Functions: rdbuf

## Constructors

### HTTPFixedLengthInputStream

HTTPFixedLengthInputStream(
HTTPSession & session,
HTTPFixedLengthStreamBuf::ContentLength length
);

## Destructor

### ~HTTPFixedLengthInputStream

~HTTPFixedLengthInputStream();

## Member Functions

### operator delete

void operator delete(
void * ptr
);

### operator new

void * operator new(
std::size_t size
);